*This code produces the tables and figures for the paper "Monetary Policy and Financial Stability: Cross-Country Evidence" (Christian Friedrich, Kristina Hess, and Rose Cunningham), Journal of Money, Credit, and Banking 
*Note: the file path must be defined in lines 11-13 below*

********************************************************************************
********************************** Set up **************************************
********************************************************************************

clear all
set more off, perm

sysdir set PLUS "ADD PATH HERE"
global resultspath "ADD PATH HERE"
cd "ADD PATH HERE"

global low 25
global high 75
global time tfe2 tfe3 tfe4 tfe5 tfe6 tfe7 tfe8 tfe9 tfe10 tfe11 tfe12 tfe13 tfe14 tfe15 tfe16 tfe17 tfe18 tfe19 tfe20 tfe21 tfe22 tfe23 tfe24 tfe25 tfe26 tfe27 tfe28 tfe29 tfe30 tfe31 tfe32 tfe33 tfe34 tfe35 tfe36 tfe37 tfe38 tfe39 tfe40 tfe41 tfe42 tfe43 tfe44 tfe45 tfe46 tfe47 tfe48 tfe49 tfe50 tfe51 tfe52 tfe53 tfe54 tfe55 tfe56 tfe57 tfe58 tfe59 tfe60
global loans  L1dlloansr L2dlloansr L3dlloansr L4dlloansr L5dlloansr L6dlloansr L7dlloansr L8dlloansr L9dlloansr L10dlloansr    L11dlloansr L12dlloansr L13dlloansr L14dlloansr L15dlloansr L16dlloansr L17dlloansr L18dlloansr L19dlloansr L20dlloansr

use "${resultspath}\MPFSdata_stata"



********************************************************************************
********************************   Figures   ***********************************
********************************************************************************	

*define country names (for graph titles)
global c163 "Euro Area"
global c193 Australia
global c156 Canada
global c158 Japan
global c196 "New Zealand"
global c142 Norway
global c144 Sweden
global c146 Switzerland
global c112 "United Kingdom"
global c111 "United States"	



*** Figure 1: Aggregated Financial Stability Orientation (FSO) Index, 2000Q1-2014Q4
foreach graphvar of var  FSO3   {
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==111, title("United States", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color) legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_111.pdf", replace
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==112, title("United Kingdom", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_112.pdf", replace	
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==142, title("Norway", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_142.pdf", replace	
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==144, title("Sweden", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_144.pdf", replace	
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==146, title("Switzerland", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_146.pdf", replace
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==156, title("Canada", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_156.pdf", replace
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==158, title("Japan", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_158.pdf", replace	
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==163, title("Euro Area", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_163.pdf", replace	
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==193, title("Australia", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_193.pdf", replace	
	graph twoway (line `graphvar' dq, yax(1) )   if tin(2000q1,2014q4)& ifs==196, title("New Zealand", size(huge)) xtitle(" ") xlabel(#3, labs(large) format(%tqYY!qq)) ytitle("", axis(1) size(large)) ylabel(#3, ax(1) labs(large) format(%9.0f))  scheme(s1color)  legend(off) yscale(range(0 3))
		graph export "${resultspath}\Fig`graphvar'_196.pdf", replace	
}


*** Figure 2: Growth-Based and Probability Measures of Financial Stability Risk, 2000Q1-2014Q4	
foreach code of num 111 163 158 112 156 193 146 144 142 196 {
	graph twoway (line FS_Growth dq, yax(1) ) (line FS_ST dq, yax(2) lp(shortdash)  )    if tin(2000q1,2014q4)& ifs==`code', title("${c`code'}", size(huge)) xtitle(" ") xlabel(#3, labs(medium) format(%tqYY!qq)) ytitle("", axis(1) size(medium)) ylabel(#3, ax(1) labs(medium)) ylabel(#3, ax(2) format(%9.0f) labs(medium)) ytitle("", axis(2) size(medium)) scheme(s1color)  legend(off)
		graph export "${resultspath}\FigFSvarA_`code'.pdf", replace	
}	
*legend	
graph twoway (line FS_Growth dq, yax(1) ) (line FS_ST dq, yax(2) lp(shortdash)  )    if tin(2000q1,2014q4)& ifs==111, title("United States", size(huge)) xtitle(" ") xlabel(#3, labs(medium) format(%tqYY!qq)) ytitle("", axis(1) size(medium)) ylabel(#3, ax(1) labs(medium)) ylabel(#3, ax(2) format(%9.0f) labs(medium)) ytitle("", axis(2) size(medium)) scheme(s1color)  legend(region(lwidth(none)) position(6)  size(vlarge) cols(1) label(1 "Credit & House Price Growth, % (Left scale)") label( 2 "Crisis Probability, % (Right scale)" )  )
*delete background of chart before saving as legend
graph export "${resultspath}\FigFSvarA_legend.pdf", replace
	

	
*** Figure 3: Binary Credit Boom Indicator and Underlying Credit/GDP Ratio, 2000Q1-2014Q4	
gen FS_Dummy = F1.L1FS_Dummy
foreach code of num 111 163  112 156 193 146 144 142 196 {
	graph twoway (line Credit dq, yax(1) ) (line FS_Dummy dq, yax(2) lp(shortdash)  )  if tin(2000q1,2014q4)& ifs==`code', title("${c`code'}", size(huge)) xtitle(" ") xlabel(#3, labs(medium) format(%tqYY!qq)) ytitle("", axis(1) size(medium)) ylabel(#3, ax(1) labs(medium)) ylabel(#2, ax(2) format(%9.0f) labs(medium)) ytitle("", axis(2) size(medium)) scheme(s1color)  legend(off)
		graph export "${resultspath}\FigFSvarB_`code'.pdf", replace	
}
foreach code of num 158  {
	graph twoway (line Credit dq, yax(1) ) (line FS_Dummy dq, yax(2) lp(shortdash)  )  if tin(2000q1,2014q4)& ifs==`code', title("${c`code'}", size(huge)) xtitle(" ") xlabel(#3, labs(medium) format(%tqYY!qq)) ytitle("", axis(1) size(medium)) ylabel(160(20)200, ax(1) labs(medium)) ylabel(0(1)1, ax(2) format(%9.0f) labs(medium)) ytitle("", axis(2) size(medium)) scheme(s1color)  legend(off)
		graph export "${resultspath}\FigFSvarB_`code'.pdf", replace	
}	
*legend	
graph twoway (line Credit dq, yax(1) ) (line FS_Dummy dq, yax(2) lp(shortdash)  yscale(range(0 1)))    if tin(2000q1,2014q4)& ifs==111, title("United States", size(huge)) xtitle(" ") xlabel(#3, labs(medium) format(%tqYY!qq)) ytitle("", axis(1) size(medium)) ylabel(#3, ax(1) labs(medium)) ylabel(0(1)1, ax(2) format(%9.0f) labs(medium)) ytitle("", axis(2) size(medium)) scheme(s1color)  legend(region(lwidth(none)) position(6)  size(vlarge) cols(1) label(1 "Credit-to-GDP Ratio, % (Left scale)") label( 2 "Credit Boom Indicator, 0/1 (Right scale)") )
*delete background of chart before saving as legend
graph export "${resultspath}\FigFSvarB_legend.pdf", replace	
drop FS_Dummy	
	
	
*** Figures 4-6: Marginal Effects of FS Measures (Growth-Based FS Measure, Binary Credit Boom Indicator, and Crisis Probability Measure) on Policy Rate, by FSO Index Value
label var FS_Growth_25c "FS Growth (ex. strong downturns)"
label var L1FS_Dummy "Binary Credit Boom Indicator"
label var FS_ST "Crisis Probability Measure"

foreach inf of var ExpGapEA {
foreach FS of var FS_Growth_25c  L1FS_Dummy  FS_ST   {
	reg Policy rGDPGap `inf' c.`FS'##c.FSO_Index c.rGDPGap#c.FSO_Index c.`inf'#c.FSO_Index  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
		grinter  `FS', inter(c.`FS'#c.FSO_Index)  const02(FSO_Index) scheme(s2mono)  graphregion(color(white)) ylab(#7, nogrid) bgcolor(white) clevel(90) kdensity yline(0) saving(Grinter_cfe_`FS', replace)
		graph2tex, epsfile(Grinter_cfe_`FS')
}
}	

	
*** Figure 7: Macro Variables at Different Values of the FSO Index, 2000Q1-2014Q4 excluding Financial Downturns
preserve
	drop if ifs==158
	keep if tin(2000q1,2014q4)
	winsor2  realrategap infl infl_gap rGDP_yy, suffix(_w) cuts(5 95)
	foreach j in realrategap_w   infl_w infl_gap_w rGDP_yy_w {
		if "`j'"=="realrategap_w" local gphtitle "Panel I: Real Rate Gap"
		if "`j'"=="infl_w" local gphtitle "Panel III: CPI Inflation"
		if "`j'"=="infl_gap_w" local gphtitle "Panel IV: Absolute CPI Inflation gap"
		if "`j'"=="rGDP_yy_w" local gphtitle "Panel II: Real GDP Growth"

		reg `j' L1FSO3 if `j'!=. & FS_Growth_25c!=.
		local c: display %9.2f _b[_cons]
		local b: display %9.2f _b[L1FSO3]
		local p: display %9.2f 2*ttail(e(df_r),abs(_b[L1FSO3]/_se[L1FSO3]))

		scatter `j' L1FSO3 if `j'!=. & FS_Growth_25c!=., mfc(none) mlc(gs10) ///
		|| lfit `j' L1FSO3 if `j'!=. & FS_Growth_25c!=., lcolor(black) lwidth(medthick) ///
		title("`gphtitle'") ytitle("`gphtitle'", size(medium)) legend(off) ///
		xtitle("FSO Index, lagged 1 quarter", size(medium)) ///
		note("constant=`c', slope=`b', p=`p'") ///
		scheme(s1color) 
		graph export "${resultspath}\FigScatter`j'.pdf", as(pdf) replace
	}
	sum FSO3 if realrategap!=., d
restore




********************************************************************************
***************   Tables (other than Robustness Checks)   **********************
********************************************************************************

*** Table 2: Annual Averages of Individual FSO Index Dimensions ********************
gen yr = year(year)
gen place = .
	replace place = 1 if ifs==193
	replace place = 2 if ifs==156
	replace place = 3 if ifs==158
	replace place = 4 if ifs==163
	replace place = 5 if ifs==196
	replace place = 6 if ifs==142
	replace place = 7 if ifs==144
	replace place = 8 if ifs==146
	replace place = 9 if ifs==112
	replace place = 10 if ifs==111

foreach dim of var Dim1 FinReg DiscB  {
	matrix AVG_`dim' = J(10,15,.)

	forval p=1(1)10 {	
		forval y=1(1)15 {
	
		sum `dim' if yr==1999+`y' & place==`p'
		matrix AVG_`dim'[`p',`y'] = r(mean)
			matrix colnames AVG_`dim'	= 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014
			matrix rownames AVG_`dim'	= Australia Canada Japan EuroArea NewZealand Norway Sweden Switzerland UnitedKingdom UnitedStates		

		outtable using "${resultspath}\AVG_`dim'", mat(AVG_`dim') replace  nobox c caption("Annual averages of `dim'") f(%9.2f)
	
		}
	}
}



*** Table 3: Summary Statistics of Key Variables, 2000Q1-2014Q4
gen G_rcredit = d4l_rcredit*100
gen G_rHouse = d4l_rHouse*100
sum Policy  ExpGapEA CPIyoyGap InfGap rGDPGap qOECDGap  FSO3 Dim1 FinReg DiscB     FS_Growth FS_Growth_25c FS_Growth_75c L1FS_Dummy FS_ST    G_rcredit G_rHouse  if ifs!=158  & NOR!=1  & tin(2000q1,2014q4)
sum FSO3 if NOR!=1  & tin(2000q1,2014q4)



*** Table 4: Taylor Rule Augmented with a Financial Stability Risk Measure, 2000Q1-2014Q4
eststo clear
macro drop name* 
foreach index of var  FSO3   {
	foreach gdp of var rGDPGap {
		foreach inf of var ExpGapEA {

				*Taylor Rule (no time or country fixed effects)	
				reg Policy `gdp' `inf'   if ifs!=158 & NOR!=1 & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
					estadd scalar countries r(r)
				eststo regA
					global namea $namea regA	
		
				*Taylor Rule with FS measure	
				reg Policy `gdp' `inf' FS_Growth $time ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 if ifs!=158 & NOR!=1 & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
					estadd scalar countries r(r)
				eststo regB
					global namea $namea regB	
					
				*Taylor Rule with FSO index
				reg Policy `gdp' `inf' `index' $time ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 if ifs!=158 & NOR!=1 & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
					estadd scalar countries r(r)
				eststo regC
					global namea $namea regC	
					
				*Taylor Rule with FS measure, FSO index, and 1 interaction term
				reg Policy `gdp' `inf' FS_Growth `index' FS_Growth_`index'   $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
					estadd scalar countries r(r)		
				eststo regD
					global namea $namea regD	
					
				*Taylor Rule with FS measure, FSO index, and 3 interaction terms
				reg Policy `gdp' `inf' FS_Growth `index' FS_Growth_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
						estadd scalar countries r(r)		
				*total FS effect
				_pctile `index' if e(sample), p($low  $high)
					scalar low = r(r1)
					scalar high = r(r2)
						estadd scalar Pctl25 r(r1)
						estadd scalar Pctl75 r(r2)
					lincom FS_Growth + (low * FS_Growth_`index')
						estadd scalar FSeffect_${low}pctl r(estimate)
						estadd scalar FSeffect_${low}se r(se)
						te  FS_Growth + (low * FS_Growth_`index') = 0
						estadd scalar FSeffect_${low}pctl_pval r(p)
					lincom FS_Growth + (high * FS_Growth_`index')
						estadd scalar FSeffect_${high}pctl r(estimate)	
						estadd scalar FSeffect_${high}se r(se)
						te  FS_Growth + (high * FS_Growth_`index') = 0
						estadd scalar FSeffect_${high}pctl_pval r(p)
					lincom ((FS_Growth + (high * FS_Growth_`index')) - (FS_Growth + (low * FS_Growth_`index')))*1
						estadd scalar FSdiff1 r(estimate)	
						estadd scalar FSdiff1_se r(se)
						te ((FS_Growth + (high * FS_Growth_`index')) - (FS_Growth + (low * FS_Growth_`index')))*1=0
						estadd scalar FSdiff1_p r(p)					
					lincom ((FS_Growth + (high * FS_Growth_`index')) - (FS_Growth + (low * FS_Growth_`index')))*10
						estadd scalar FSdiff10 r(estimate)	
						estadd scalar FSdiff10_se r(se)
						te ((FS_Growth + (high * FS_Growth_`index')) - (FS_Growth + (low * FS_Growth_`index')))*10=0
						estadd scalar FSdiff10_p r(p)		
					lincom ((FS_Growth + (high * FS_Growth_`index')) - (FS_Growth + (low * FS_Growth_`index')))*20
						estadd scalar FSdiff20 r(estimate)	
						estadd scalar FSdiff20_se r(se)
						te ((FS_Growth + (high * FS_Growth_`index')) - (FS_Growth + (low * FS_Growth_`index')))*20=0
						estadd scalar FSdiff20_p r(p)					
				eststo regE
					global namea $namea regE	
					
				*Taylor Rule with FS measure (excluding strong financial downturns), FSO index, and 3 interaction terms
				reg Policy `gdp' `inf' FS_Growth_25c `index' FS_Growth_25c_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
						estadd scalar countries r(r)		
				*total FS effect
				_pctile `index' if e(sample), p($low  $high)
					scalar low = r(r1)
					scalar high = r(r2)
						estadd scalar Pctl25 r(r1)
						estadd scalar Pctl75 r(r2)
					lincom FS_Growth_25c + (low * FS_Growth_25c_`index')
						estadd scalar FSeffect_${low}pctl r(estimate)
						estadd scalar FSeffect_${low}se r(se)
						te  FS_Growth_25c + (low * FS_Growth_25c_`index') = 0
						estadd scalar FSeffect_${low}pctl_pval r(p)
					lincom FS_Growth_25c + (high * FS_Growth_25c_`index')
						estadd scalar FSeffect_${high}pctl r(estimate)	
						estadd scalar FSeffect_${high}se r(se)
						te  FS_Growth_25c + (high * FS_Growth_25c_`index') = 0
						estadd scalar FSeffect_${high}pctl_pval r(p)
					lincom ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*1
						estadd scalar FSdiff1 r(estimate)	
						estadd scalar FSdiff1_se r(se)
						te ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*1=0
						estadd scalar FSdiff1_p r(p)					
					lincom ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*10
						estadd scalar FSdiff10 r(estimate)	
						estadd scalar FSdiff10_se r(se)
						te ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*10=0
						estadd scalar FSdiff10_p r(p)	
					lincom ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*20
						estadd scalar FSdiff20 r(estimate)	
						estadd scalar FSdiff20_se r(se)
						te ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*20=0
						estadd scalar FSdiff20_p r(p)					
				eststo regF
					global namea $namea regF	
					
					
				*Taylor Rule with Wu-Xia shadow policy rate, FS measure (excluding strong financial downturns), FSO index, and 3 interaction terms
				reg PolicyWX `gdp' `inf' FS_Growth_25c `index' FS_Growth_25c_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
						estadd scalar countries r(r)		
				*total FS effect
				_pctile `index' if e(sample), p($low  $high)
					scalar low = r(r1)
					scalar high = r(r2)
						estadd scalar Pctl25 r(r1)
						estadd scalar Pctl75 r(r2)
					lincom FS_Growth_25c + (low * FS_Growth_25c_`index')
						estadd scalar FSeffect_${low}pctl r(estimate)
						estadd scalar FSeffect_${low}se r(se)
						te  FS_Growth_25c + (low * FS_Growth_25c_`index') = 0
						estadd scalar FSeffect_${low}pctl_pval r(p)
					lincom FS_Growth_25c + (high * FS_Growth_25c_`index')
						estadd scalar FSeffect_${high}pctl r(estimate)	
						estadd scalar FSeffect_${high}se r(se)
						te  FS_Growth_25c + (high * FS_Growth_25c_`index') = 0
						estadd scalar FSeffect_${high}pctl_pval r(p)
					lincom ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*1
						estadd scalar FSdiff1 r(estimate)	
						estadd scalar FSdiff1_se r(se)
						te ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*1=0
						estadd scalar FSdiff1_p r(p)
					lincom ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*10
						estadd scalar FSdiff10 r(estimate)	
						estadd scalar FSdiff10_se r(se)
						te ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*10=0
						estadd scalar FSdiff10_p r(p)	
					lincom ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*20
						estadd scalar FSdiff20 r(estimate)	
						estadd scalar FSdiff20_se r(se)
						te ((FS_Growth_25c + (high * FS_Growth_25c_`index')) - (FS_Growth_25c + (low * FS_Growth_25c_`index')))*20=0
						estadd scalar FSdiff20_p r(p)					
				eststo regG
					global namea $namea regG	
					

				esttab $namea using "${resultspath}\Tab_Main.tex", replace b(3) se(2)  ///
				star(* 0.10 ** 0.05 *** 0.01) stats(r2 N countries FSeffect_${low}pctl FSeffect_${low}se FSeffect_${high}pctl FSeffect_${high}se FSdiff1 FSdiff10 FSdiff20, fmt(2 0 0 3 2 3 2 3 3 3) labels("R2" "N" "Countries" "\midrule \hspace{1em} ${low}pctl of FSO Index" "\hspace{1em} Standard Error" "\hspace{1em} ${high}pctl of FSO Index" "\hspace{1em} Standard Error" "Differential FS Effect" "\hspace{1em} 10ppt change in FS" "\hspace{1em} 20ppt change in FS"))  ///
				nolegend nomti label nogaps mgroups("Unconstrained" "$>$25th pctl" "WuXia Shadow", pattern(1 0 0 0 0 1 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) ) order(ExpGapEA rGDPGap FS FSO3 FS_Index ExpGapEA_FSO3 rGDPGap_FSO3) ///
				drop(_cons) indicate("Time Fixed Effects =  tfe*" "Country Fixed Effects = ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 ") note(All specifications include a constant. @starlegend) ///
				title("Taylor Rule with a Financial Stability Risk Measure, 2000Q1-2014Q4")  rename(FS_Growth FS FS_Growth_25c FS FS_Growth_75c FS    FS_Growth_FSO3 FS_Index FS_Growth_25c_FSO3 FS_Index FS_Growth_75c_FSO3 FS_Index) varlabels(FS "FS Risk" FS_Index "FS Risk x FSO Index")
		}
	}
}



*** Table 6: Taylor Rule Augmented with Alternative Financial Stability Risk Measures, 2000Q1-2014Q4
eststo clear
macro drop name* 
foreach index of var  FSO3   {
	foreach gdp of var rGDPGap {
		foreach inf of var ExpGapEA {
			foreach FS of var L1FS_Dummy FS_ST {

				*Taylor Rule with FS measure	
				reg Policy `gdp' `inf' `FS' $time ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 if ifs!=158 & NOR!=1 & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
						estadd scalar countries r(r)
				eststo regB`FS'
					global namea $namea regB`FS'	
					
				*Taylor Rule with FS measure, FSO index, and 1 interaction term
				reg Policy `gdp' `inf' `FS' `index' `FS'_`index'   $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
						estadd scalar countries r(r)		
				eststo regD`FS'
					global namea $namea regD`FS'	
					
				*Taylor Rule with FS measure, FSO index, and 3 interaction terms
				reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
					tab ifs if e(sample)
						estadd scalar countries r(r)		
				*total FS effect
				_pctile `index' if e(sample), p($low  $high)
					scalar low = r(r1)
					scalar high = r(r2)
						estadd scalar Pctl25 r(r1)
						estadd scalar Pctl75 r(r2)
					lincom `FS' + (low * `FS'_`index')
						estadd scalar FSeffect_${low}pctl r(estimate)
						estadd scalar FSeffect_${low}se r(se)
						te  `FS' + (low * `FS'_`index') = 0
						estadd scalar FSeffect_${low}pctl_pval r(p)
					lincom `FS' + (high * `FS'_`index')
						estadd scalar FSeffect_${high}pctl r(estimate)	
						estadd scalar FSeffect_${high}se r(se)
						te  `FS' + (high * `FS'_`index') = 0
						estadd scalar FSeffect_${high}pctl_pval r(p)
					lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*1
						estadd scalar FSdiff1 r(estimate)	
						estadd scalar FSdiff1_se r(se)
						te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*1=0
						estadd scalar FSdiff1_p r(p)
					lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
						estadd scalar FSdiff10 r(estimate)	
						estadd scalar FSdiff10_se r(se)
						te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
						estadd scalar FSdiff10_p r(p)					
					lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*20
						estadd scalar FSdiff20 r(estimate)	
						estadd scalar FSdiff20_se r(se)
						te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*20=0
						estadd scalar FSdiff20_p r(p)					
				eststo regE`FS'
					global namea $namea regE`FS'	
						
			}
			esttab $namea using "${resultspath}\Tab_Alt.tex", replace b(3) se(2)  ///
				star(* 0.10 ** 0.05 *** 0.01) stats(r2 N countries FSeffect_${low}pctl FSeffect_${low}se FSeffect_${high}pctl FSeffect_${high}se FSdiff1 FSdiff10 FSdiff20, fmt(2 0 0 3 2 3 2 3 3 3) labels("R2" "N" "Countries" "\midrule \hspace{1em} ${low}pctl of FSO Index" "\hspace{1em} Standard Error" "\hspace{1em} ${high}pctl of FSO Index" "\hspace{1em} Standard Error" "Differential FS Effect" "\hspace{1em} 10ppt change in FS" "\hspace{1em} 20ppt change in FS"))  ///
				nolegend nomti label nogaps mgroups("Binary Credit Boom Indicator" "Crisis Probability Measure", pattern(1 0 0 1 0 0 ) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) ) order(ExpGapEA rGDPGap FS FSO3 FS_Index ExpGapEA_FSO3 rGDPGap_FSO3) ///
				drop(_cons) indicate("Time Fixed Effects =  tfe*" "Country Fixed Effects = ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 ") note(All specifications include a constant. @starlegend)  ///
				title("Taylor Rule with a Financial Stability Risk Measure, 2000Q1-2014Q4")  rename(L1FS_Dummy FS FS_ST FS     L1FS_Dummy_FSO3 FS_Index FS_ST_FSO3 FS_Index ) varlabels(FS "FS Risk" FS_Index "FS Risk x FSO Index" FSO3 "FSO Index")
		}
	}
}



*** Table 7: Taylor Rule Estimation with Individual FSO Index Dimensions and Alternative Measures of Financial Stability Risk, 2000Q1-2014Q4
eststo clear
macro drop name* 
foreach gdp of var rGDPGap {
	foreach inf of var ExpGapEA {
		foreach FS of var FS_Growth_25c L1FS_Dummy  FS_ST  {

			reg Policy `inf' `gdp'  `FS' Dim1 FinReg DiscB `FS'_Dim1 `FS'_FinReg `FS'_DiscB `inf'_FSO3  `gdp'_FSO3  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
				tab ifs if e(sample)
					estadd scalar countries r(r)		

				*total FS effect
				_pctile Dim1 if e(sample), p($low  $high)
					scalar low1 = r(r1)
					scalar high1 = r(r2)
				_pctile FinReg if e(sample), p($low  $high)
					scalar low2 = r(r1)
					scalar high2 = r(r2)
				_pctile DiscB if e(sample), p($low  $high)
					scalar low3 = r(r1)
					scalar high3 = r(r2)
					
				*linear effects (Dim 1) 	
				lincom `FS' + (low1 * `FS'_Dim1)
					estadd scalar FSeffect1_${low}pctl r(estimate)
					estadd scalar FSeffect1_${low}se r(se)
					te  `FS' + (low1 * `FS'_Dim1)  = 0
					estadd scalar FSeffect1_${low}pctl_pval r(p)
				lincom `FS' + (high1 * `FS'_Dim1)
					estadd scalar FSeffect1_${high}pctl r(estimate)	
					estadd scalar FSeffect1_${high}se r(se)
					te  `FS' + (high1 * `FS'_Dim1) = 0
					estadd scalar FSeffect1_${high}pctl_pval r(p)
				lincom ((`FS' + (high1 * `FS'_Dim1)) - (`FS' + (low1 * `FS'_Dim1)))*10
					estadd scalar FS1diff10 r(estimate)	
					estadd scalar FS1diff10_se r(se)
					te ((`FS' + (high1 * `FS'_Dim1)) - (`FS' + (low1 * `FS'_Dim1)))*10 = 0
					estadd scalar FS1diff10_p r(p)

				*linear effects (Dim 2) 	
				lincom `FS' + (low2 * `FS'_FinReg)
					estadd scalar FSeffect2_${low}pctl r(estimate)
					estadd scalar FSeffect2_${low}se r(se)
					te  `FS' + (low2 * `FS'_FinReg)  = 0
					estadd scalar FSeffect2_${low}pctl_pval r(p)
				lincom `FS' + (high2 * `FS'_FinReg)
					estadd scalar FSeffect2_${high}pctl r(estimate)	
					estadd scalar FSeffect2_${high}se r(se)
					te  `FS' + (high2 * `FS'_FinReg) = 0
					estadd scalar FSeffect2_${high}pctl_pval r(p)
				lincom ((`FS' + (high2 * `FS'_FinReg)) - (`FS' + (low2 * `FS'_FinReg)))*10
					estadd scalar FS2diff10 r(estimate)	
					estadd scalar FS2diff10_se r(se)
					te ((`FS' + (high2 * `FS'_FinReg)) - (`FS' + (low2 * `FS'_FinReg)))*10 = 0
					estadd scalar FS2diff10_p r(p)
					
				*linear effects (Dim 3) 	
				lincom `FS' + (low3 * `FS'_DiscB)
					estadd scalar FSeffect3_${low}pctl r(estimate)
					estadd scalar FSeffect3_${low}se r(se)
					te  `FS' + (low3 * `FS'_DiscB)  = 0
					estadd scalar FSeffect3_${low}pctl_pval r(p)
				lincom `FS' + (high3 * `FS'_DiscB)
					estadd scalar FSeffect3_${high}pctl r(estimate)	
					estadd scalar FSeffect3_${high}se r(se)
					te  `FS' + (high3 * `FS'_DiscB) = 0
					estadd scalar FSeffect3_${high}pctl_pval r(p)
				lincom ((`FS' + (high3 * `FS'_DiscB)) - (`FS' + (low3 * `FS'_DiscB)))*10
					estadd scalar FS3diff10 r(estimate)	
					estadd scalar FS3diff10_se r(se)
					te ((`FS' + (high3 * `FS'_DiscB)) - (`FS' + (low3 * `FS'_DiscB)))*10 = 0
					estadd scalar FS3diff10_p r(p)
						
				eststo reg`FS'c
					global nameb $nameb reg`FS'c	
		}

		esttab $nameb using "${resultspath}\Tab_Dim.tex", replace b(3) se(2)  ///
			star(* 0.10 ** 0.05 *** 0.01) stats(r2 N countries , fmt(3 0 0 ) labels("R2" "N" "Countries"  ))  ///
			nolegend nomti label nogaps  order(ExpGapEA rGDPGap FS_Risk)  ///
			drop (_cons) indicate("Macro Variables = rGDPGap ExpGapEA" "Macro x FSO Index = rGDPGap_FSO3 ExpGapEA_FSO3" "Time Fixed Effects = tfe*" "Country Fixed Effects = ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196") note(All specifications include a constant. @starlegend)  ///
			title("Taylor Rule Estimation with Individual FSO Index Dimensions, 2000Q1-2014Q4")  rename(FS_Growth_25c FS_Risk L1FS_Dummy FS_Risk FS_ST FS_Risk        FS_Growth_25c_Dim1 FS_Dim1 L1FS_Dummy_Dim1 FS_Dim1 FS_ST_Dim1 FS_Dim1           FS_Growth_25c_FinReg FS_Dim2 L1FS_Dummy_FinReg FS_Dim2 FS_ST_FinReg FS_Dim2        FS_Growth_25c_DiscB FS_Dim3 L1FS_Dummy_DiscB FS_Dim3 FS_ST_DiscB FS_Dim3) varlabels(FS_Risk "FS Risk" Dim1 "Statutory Dim." FinReg "Regulatory Dim." DiscB "Discretionary Dim."  FS_Dim1 "FS Risk x Statutory Dim" FS_Dim2 "FS Risk x Regulatory Dim" FS_Dim3 "FS Risk x Discretionary Dim") ///
			
		eststo clear
		macro drop name* 
	}
}



*** Table 8: Logit Regression of Changes in the Policy Rate on Crisis Probabilities, 1990Q1-2014Q4
eststo clear
macro drop name* 
	
logit cri_gc0orh0_a4_bf   dpolicy    if ifs!=158   & tin(1990q1,2014q4) ,  vce(robust)
	margins, dydx(dpolicy) 	
	tab ifs if e(sample)
		estadd scalar countries r(r)		
	eststo reg1
		global namea $namea reg1	
	
logit cri_gc0orh0_a4_bf   dpolicy  ifs112 ifs196 ifs163 ifs156  ifs146  ifs144 ifs142  ifs193 if ifs!=158   & tin(1990q1,2014q4) ,  vce(robust)
	margins, dydx(dpolicy)	
	tab ifs if e(sample)
		estadd scalar countries r(r)		
	eststo reg2
		global namea $namea reg2	

logit cri_gc0orh0_a4_bf   dpolicy  dlloansr ifs112 ifs196 ifs163 ifs156  ifs146  ifs144 ifs142  ifs193 if ifs!=158   & tin(1990q1,2014q4) ,  vce(robust)
	margins, dydx(dpolicy)	
	tab ifs if e(sample)
		estadd scalar countries r(r)		
	eststo reg3
		global namea $namea reg3
		
logit cri_gc0orh0_a4_bf   dpolicy  dlloansr L1dlloansr L2dlloansr L3dlloansr L4dlloansr L5dlloansr L6dlloansr L7dlloansr L8dlloansr L9dlloansr L10dlloansr    L11dlloansr L12dlloansr L13dlloansr L14dlloansr L15dlloansr L16dlloansr L17dlloansr L18dlloansr L19dlloansr L20dlloansr ifs112 ifs196 ifs163 ifs156  ifs146  ifs144 ifs142  ifs193 if ifs!=158   & tin(1990q1,2014q4) ,  vce(robust)
	margins, dydx(dpolicy)	
	tab ifs if e(sample)
		estadd scalar countries r(r)		
	eststo reg4
		global namea $namea reg4		
		
logit comcrisis2y   dpolicy  dlloansr L1dlloansr L2dlloansr L3dlloansr L4dlloansr L5dlloansr L6dlloansr L7dlloansr L8dlloansr L9dlloansr L10dlloansr    L11dlloansr L12dlloansr L13dlloansr L14dlloansr L15dlloansr L16dlloansr L17dlloansr L18dlloansr L19dlloansr L20dlloansr ifs112 ifs196 ifs163 ifs156  ifs146  ifs144 ifs142  ifs193 if ifs!=158   & tin(1990q1,2014q4) ,  vce(robust)
	margins, dydx(dpolicy)	
	tab ifs if e(sample)
		estadd scalar countries r(r)		
	eststo reg5
		global namea $namea reg5	
	

		
********************************************************************************
****   Table 5: Taylor Rule Estimation - Robustness Checks, 2000Q1-2014Q4   ****
********************************************************************************		

**************************** Top Panel *****************************************
eststo clear
macro drop name*

*Fin Booms Only
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS FS_Growth_75c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI0
		global nameI $nameI RCI0
		
*1st lag for FS
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS L1FS_Growth_25c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI1
		global nameI $nameI RCI1

*Boom IV
local index FSO3
local FS FS_Growth_25c
ivregress 2sls Policy  ExpGapEA rGDPGap    FSO3  ExpGapEA_FSO3 rGDPGap_FSO3  $time   ifs112   ifs156 ifs193 ifs146 ifs142 ifs144 ifs163 ifs196 (FS_Growth_25c FS_Growth_25c_FSO3  = L4.ge L4.fb_nshare2  ) if ifs!=158 & NOR!=1 & tin(2000q1,2014q4)  , first  vce(robust) 
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI2
		global nameI $nameI RCI2
		
*1st lag for FSO
local gdp rGDPGap 
local inf ExpGapEA
local index L1FSO3
local FS FS_Growth_25c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI3
		global nameI $nameI RCI3
		
*Driscoll Kraay
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS FS_Growth_25c
xtscc Policy rGDPGap ExpGapEA FS_Growth_25c FSO3 FS_Growth_25c_FSO3 rGDPGap_FSO3 ExpGapEA_FSO3  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), pool lag(1) 
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI4
		global nameI $nameI RCI4	

*Changes of the FSO index
local index L1d4FSO3_wt
local FS FS_Growth_25c
reg Policy rGDPGap ExpGapEA FS_Growth_25c `index' FS_Growth_25c_`index' rGDPGap_`index' ExpGapEA_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI5
		global nameI $nameI RCI5	

*Placebo with t+1
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS F1FS_Growth_25c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112   ifs156 ifs193 ifs146 ifs142 ifs144 ifs163 ifs196 if ifs!=158 & NOR!=1  & (tin(2000q1,2014q4)  ), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI6
		global nameI $nameI RCI6	

*Krippner shadow rates
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS FS_Growth_25c
reg PolicyK `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112   ifs156 ifs193 ifs146 ifs142 ifs144 ifs163 ifs196 if ifs!=158 & NOR!=1  & (tin(2000q1,2014q4)  ), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI9
		global nameI $nameI RCI9
		
*Exclude ZLB observations
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS FS_Growth_25c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 if ifs!=158 & NOR!=1 & ZLB!=1 & (tin(2000q1,2014q4)  ), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI7
		global nameI $nameI RCI7

*Add Japan
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS FS_Growth_25c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142 ifs158 if  NOR!=1  & (tin(2000q1,2014q4)  ), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCI10
		global nameI $nameI RCI10

		
esttab $nameI using "${resultspath}\Tab_RobI.tex", replace b(3) se(2)  ///
	star(* 0.10 ** 0.05 *** 0.01) stats(r2 N countries FSeffect_${low}pctl FSeffect_${low}pctl_pval FSeffect_${high}pctl FSeffect_${high}pctl_pval  FSdiff10 FSdiff10_p , fmt(2 0 0 3 2 3 2 3 2 ) labels("R2" "N" "Countries" "Marginal FS effect, ${low}pctl" "p-value" "Marginal FS effect, ${high}pctl" "p-value" "Differential FS Effect, 10\%" "P-value")) ///
	nolegend nomti  nogaps mgroups("FinBoom" "Endogeneity" "Common Trends \& Spurious" "Effective Lower Bound" "Japan" , pattern(1 1 0 0 1 0 0 1 0 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) )  ///
	note(All specifications include a constant. @starlegend) drop( _cons) indicate("Time effects = tfe*" "Country effects =  ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 ifs158")   ///
	title("Taylor Rule Estimation - Robustness Checks, 2000Q1-2014Q4")  rename(FSO3 FSO L1FSO3 FSO  L1d4FSO3_wt FSO     rGDPGap_FSO3 gdp_index rGDPGap_L1FSO3 gdp_index rGDPGap_L1d4FSO3_wt gdp_index    ExpGapEA_FSO3 inf_index ExpGapEA_L1FSO3 inf_index ExpGapEA_L1d4FSO3_wt inf_index       FS_Growth_25c_FSO3 FS_index  FS_Growth_75c_FSO3 FS_index FS_Growth_25c_L1FSO3 FS_index FS_Growth_25c_L1d4FSO3_wt FS_index    FS_Growth_25c FS  FS_Growth_75c FS F1FS_Growth_25c FS L1FS_Growth_25c FS  F1FS_Growth_25c_FSO3 FS_index L1FS_Growth_25c_FSO3 FS_index ) varlabel(rGDPGap "Output Gap" ExpGapEA "Inf. Exp. Gap" FSO "FSO Index" gdp_index "Output Gap x FSO Index" inf_index "Inf.Exp.Gap x FSO Index" FS_index "FS Risk x FSO Index" FS "FS Risk")

	
	
**************************** Bottom Panel **************************************
eststo clear
macro drop name*

*4 Dim Index
local gdp rGDPGap
local inf ExpGapEA
local FS FS_Growth_25c
local index FSO2
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII1
		global nameII $nameII RCII1

*Alt 3rd FSO Dim
local gdp rGDPGap
local inf ExpGapEA
local FS FS_Growth_25c
local index FSO7
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)

	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII2
		global nameII $nameII RCII2

*ex New Zealand
local gdp rGDPGap
local inf ExpGapEA
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112  ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & ifs!=196 & NOR!=1  & tin(2000q1,2014q4), robust  
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII3
		global nameII $nameII RCII3

*ex crisis
local gdp rGDPGap 
local inf ExpGapEA
local index FSO3
local FS FS_Growth_25c
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & (tin(2000q1,2007q2)|tin(2009q1,2014q4)), robust 
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII4
		global nameII $nameII RCII4
		
*1st lag macro variables
local gdp L1rGDPGap
local inf L1ExpGapEA
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII5
		global nameII $nameII RCII5

*CPI inflation
local gdp rGDPGap
local inf CPIyoyGap
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII6
		global nameII $nameII RCII6
		
*National inflation
local gdp rGDPGap
local inf InfGap
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII7
		global nameII $nameII RCII7

*OECD Output Gap
local gdp qOECDGap
local inf ExpGapEA
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1 & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII8
		global nameII $nameII RCII8

*Growth term and OPGt+1
local gdp FrGDPGap
local inf ExpGapEA
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' rGDPyoy `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1 & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII9
		global nameII $nameII RCII9

*REER
local gdp rGDPGap
local inf ExpGapEA
local FS FS_Growth_25c
local index FSO3
reg Policy `gdp' `inf' REERqoq `FS' `index' `FS'_`index' `gdp'_`index' `inf'_`index'  $time ifs112 ifs196 ifs163 ifs156 ifs193 ifs146  ifs144 ifs142  if ifs!=158 & NOR!=1  & tin(2000q1,2014q4), robust
	tab ifs if e(sample)
	estadd scalar countries r(r)
	*total FS effect
	_pctile `index' if e(sample), p($low  $high)
		scalar low = r(r1)
		scalar high = r(r2)
	lincom `FS' + (low * `FS'_`index')
		estadd scalar FSeffect_${low}pctl r(estimate)
		te  `FS' + (low * `FS'_`index') = 0
		estadd scalar FSeffect_${low}pctl_pval r(p)
	lincom `FS' + (high * `FS'_`index')
		estadd scalar FSeffect_${high}pctl r(estimate)	
		te  `FS' + (high * `FS'_`index') = 0
		estadd scalar FSeffect_${high}pctl_pval r(p)
	lincom ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10
		estadd scalar FSdiff10 r(estimate)	
		estadd scalar FSdiff10_se r(se)
		te ((`FS' + (high * `FS'_`index')) - (`FS' + (low * `FS'_`index')))*10=0
		estadd scalar FSdiff10_p r(p)
	eststo RCII10
		global nameII $nameII RCII10
		

esttab $nameII using "${resultspath}\Tab_RobII.tex", replace b(3) se(2)  ///
	star(* 0.10 ** 0.05 *** 0.01) stats(r2 N countries FSeffect_${low}pctl FSeffect_${low}pctl_pval FSeffect_${high}pctl FSeffect_${high}pctl_pval  FSdiff10 FSdiff10_p , fmt(2 0 0 3 2 3 2 3 2 ) labels("R2" "N" "Countries" "Marginal FS effect, ${low}pctl" "p-value" "Marginal FS effect, ${high}pctl" "p-value" "Differential FS Effect, 10\%" "P-value"))  ///
	nolegend nomti  nogaps mgroups("FSO Index" "Taylor Rule" , pattern(1 0 0 0  1 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) )  ///
	note(All specifications include a constant. @starlegend) drop( _cons) indicate("Time effects = tfe*" "Country effects =  ifs112 ifs163 ifs156 ifs193 ifs146 ifs144 ifs142 ifs196 ")    ///
	title("Taylor Rule Estimation - Robustness Checks, 2000Q1-2014Q4")  rename(rGDPGap gdp qOECDGap gdp FrGDPGap gdp L1rGDPGap gdp      rGDPGap_FSO3 gdp_index qOECDGap_FSO3 gdp_index FrGDPGap_FSO3 gdp_index  L1rGDPGap_FSO3 gdp_index     ExpGapEA inf L1ExpGapEA inf InfGap inf CPIyoyGap inf   ExpGapEA_FSO3 inf_index L1ExpGapEA_FSO3 inf_index InfGap_FSO3 inf_index CPIyoyGap_FSO3 inf_index   FSO3 FSO FSO2 FSO FSO7 FSO Dim12 FSO     FS_Growth_25c_FSO3 FS_index FS_Growth_25c_FSO2 FS_index FS_Growth_25c_FSO7 FS_index FS_Growth_25c_Dim12 FS_index          rGDPGap_FSO2 gdp_index rGDPGap_FSO7 gdp_index rGDPGap_Dim12 gdp_index        ExpGapEA_FSO2 inf_index ExpGapEA_FSO7 inf_index ExpGapEA_Dim12 inf_index )   varlabel(gdp "Output Gap" inf "Inf. Exp. Gap" FSO "FSO Index" gdp_index "Output Gap x FSO Index" inf_index "Inf.Exp.Gap x FSO Index" FS_index "FS Risk x FSO Index" FS_Growth_25c "FS Risk" rGDPyoy "Real GDP growth")

	

	
	
********************************************************************************
********************************* END OF DO FILE *******************************
********************************************************************************
